Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class Selector

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.Selector

All Implemented Interfaces:
  java.io.Serializable, Selector

    public class Selector

extends java.lang.Object
implements java.io.Serializable, Selector

See Also:
  Serialized Form

Field Summary
`CorrelationKey` | `correlationKey`
`int` | `idx`
`java.lang.String` | `messageExchangeId`
`boolean` | `oneWay`
`java.lang.String` | `opName`
`PartnerLinkInstance` | `plinkInstance`

Method Summary
`CorrelationKey` | `getCorrelationKey()`
`java.lang.String` | `getMesageExchangeId()`
`java.lang.String` | `getOperation()`
`PartnerLink` | `getPartnerLink()`
`boolean` | `isOneWay()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### plinkInstance

    public final PartnerLinkInstance plinkInstance

### correlationKey

    public final CorrelationKey correlationKey

### opName

    public final java.lang.String opName

### messageExchangeId

    public final java.lang.String messageExchangeId

### idx

    public final int idx

### oneWay

    public final boolean oneWay

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCorrelationKey

    public CorrelationKey getCorrelationKey()

  Specified by:
    `getCorrelationKey` in interface `Selector`
  Returns:

### getMesageExchangeId

    public java.lang.String getMesageExchangeId()

  Specified by:
    `getMesageExchangeId` in interface `Selector`
  Returns:

### getOperation

    public java.lang.String getOperation()

  Specified by:
    `getOperation` in interface `Selector`
  Returns:

### getPartnerLink

    public PartnerLink getPartnerLink()

  Specified by:
    `getPartnerLink` in interface `Selector`
  Returns:

### isOneWay

    public boolean isOneWay()

  Specified by:
    `isOneWay` in interface `Selector`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD